org.apache.poi.hslf.record

## Class Comment2000Atom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.Comment2000Atom

- All Implemented Interfaces:
    GenericRecord

      public final class Comment2000Atom
      extends RecordAtom

  An atomic record containing information about a comment.
  Author:
    Daniel Noll

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Comment2000Atom()` Constructs a brand new comment atom record.
    `protected` | `Comment2000Atom(byte[] source, int start, int len)` Constructs the comment atom record from its source data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDate()` Gets the date the comment was made.
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `int` | `getNumber()` Gets the comment number (note - each user normally has their own count).
    `long` | `getRecordType()` Gets the record type.
    `int` | `getXOffset()` Gets the X offset of the comment on the page.
    `int` | `getYOffset()` Gets the Y offset of the comment on the page.
    `void` | `setDate(java.util.Date date)` Sets the date the comment was made.
    `void` | `setNumber(int number)` Sets the comment number (note - each user normally has their own count).
    `void` | `setXOffset(int xOffset)` Sets the X offset of the comment on the page.
    `void` | `setYOffset(int yOffset)` Sets the Y offset of the comment on the page.
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Comment2000Atom

          protected Comment2000Atom()

      Constructs a brand new comment atom record.

    - #### Comment2000Atom

          protected Comment2000Atom(byte[] source,
                                    int start,
                                    int len)

      Constructs the comment atom record from its source data.
      Parameters:
        `source` - the source data as a byte array.
        `start` - the start offset into the byte array.
        `len` - the length of the slice in the byte array.

  - ### Method Detail

    - #### getNumber

          public int getNumber()

      Gets the comment number (note - each user normally has their own count).
      Returns:
        the comment number.

    - #### setNumber

          public void setNumber(int number)

      Sets the comment number (note - each user normally has their own count).
      Parameters:
        `number` - the comment number.

    - #### getDate

          public java.util.Date getDate()

      Gets the date the comment was made.
      Returns:
        the comment date.

    - #### setDate

          public void setDate(java.util.Date date)

      Sets the date the comment was made.
      Parameters:
        `date` - the comment date.

    - #### getXOffset

          public int getXOffset()

      Gets the X offset of the comment on the page.
      Returns:
        the X offset.

    - #### setXOffset

          public void setXOffset(int xOffset)

      Sets the X offset of the comment on the page.
      Parameters:
        `xOffset` - the X offset.

    - #### getYOffset

          public int getYOffset()

      Gets the Y offset of the comment on the page.
      Returns:
        the Y offset.

    - #### setYOffset

          public void setYOffset(int yOffset)

      Sets the Y offset of the comment on the page.
      Parameters:
        `yOffset` - the Y offset.

    - #### getRecordType

          public long getRecordType()

      Gets the record type.
      Specified by:
        `getRecordType` in class `Record`
      Returns:
        the record type.

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Parameters:
        `out` - the output stream to write to.
      Throws:
        `java.io.IOException` - if an error occurs.

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.